#include "procmon_info.h"
#include <stdio.h>
/* This is a simple example of getting process info manually */
int main(
         int argc,
         char **argv
         )
{
  PROCMON_INFO_struct pinfo;
  PROCMON_info_init( &pinfo );
  /* Timing taken so quickly that funkiness sometimes happens.
   * Wait for successful one. */
  while( PROCMON_info_get( 0, &pinfo ) == PROCMON_WARNING ) {}
  printf( "Process Size: %9.2e  Machine Size: %9.2e  Machine Free: %9.2e\n",
          pinfo.p_size[0], pinfo.m_size, pinfo.m_free );
  return( 0 );
}

